package com.mvc.entity;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Description:
* @Author: guozhao
* @CreateDate: 2025-03-10 11:20:18
*/
public class TaskReview {
    /**
     * 
     */
    private Integer id;

    /**
     * 实际主键
     */
    private String taskId;

    /**
     * 任务日期(格式:20220708)
     */
    private String taskDate;

    /**
     * 设备sn号
     */
    private String deviceSn;

    /**
     * 遥测站编码
     */
    private String stationCode;

    /**
     * 设备读数表ID
     */
    private String aireadId;

    /**
     * 服务器侧识别表ID
     */
    private String serverReadId;

    /**
     * 观测采样实际
     */
    private Date sampleTime;

    /**
     * AI识别结果值
     */
    private BigDecimal identValue;

    /**
     * 服务侧识别结果值
     */
    private BigDecimal serverValue;

    /**
     * 人工审核值
     */
    private BigDecimal reviewValue;

    /**
     * MCU侧的结果是否有效
     */
    private String idenValidFlag;

    /**
     * 服务器侧识别是否有效(1278...)
     */
    private String serverValidFlag;

    /**
     * 审核时间
     */
    private Date reviewTime;

    /**
     * 审核人
     */
    private String reviewMan;

    /**
     * 任务完成标志
     */
    private String finishedFlag;

    /**
     * 任务完成时间
     */
    private Date finishedTime;

    /**
     * 当没有当日16点数据时,用历史数据时,此标志为1
     */
    private String historyFlag;

    /**
     * 创建日期
     */
    private Date createTime;

    /**
     * MCU侧识别图
     */
    private String mcuImageUrl;

    /**
     * 服务器侧识别图
     */
    private String serverImageUrl;

    /**
     * 发给水利所的标记(1成功)
     */
    private String sendSlsFlag;

    /**
     * 水利所的回复报文
     */
    private String slsReplyMsg;

    /**
     * 原始结果值
     */
    private BigDecimal rawValue;

    /**
     * 系统审核标记(1代表系统对比通过)
     */
    private String systemReviewFlag;

    /**
     * MCU软件版本
     */
    private String softVer;

    /**
     * 硬件版本
     */
    private String hardVersion;

    /**
     * nb版本
     */
    private String nbVersion;

    /**
     * AI软件版本
     */
    private String aiVersion;

    /**
     * 上次审核的TASK_ID
     */
    private String lastTaskId;

    /**
     * 上次审核时的图片
     */
    private String lastMcuImageUrl;

    /**
     * 上次审核的读数
     */
    private BigDecimal lastReviewValue;

    /**
     * 上次审核时数据的采样时间
     */
    private Date lastSampleTime;

    /**
     * 遥测站名称
     */
    private String stationName;

    /**
     * 数字个数
     */
    private Integer digitNum;

    /**
     * 最后一个数字单位类型
     */
    private Integer unitType;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId == null ? null : taskId.trim();
    }

    public String getTaskDate() {
        return taskDate;
    }

    public void setTaskDate(String taskDate) {
        this.taskDate = taskDate == null ? null : taskDate.trim();
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn == null ? null : deviceSn.trim();
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public String getAireadId() {
        return aireadId;
    }

    public void setAireadId(String aireadId) {
        this.aireadId = aireadId == null ? null : aireadId.trim();
    }

    public String getServerReadId() {
        return serverReadId;
    }

    public void setServerReadId(String serverReadId) {
        this.serverReadId = serverReadId == null ? null : serverReadId.trim();
    }

    public Date getSampleTime() {
        return sampleTime;
    }

    public void setSampleTime(Date sampleTime) {
        this.sampleTime = sampleTime;
    }

    public BigDecimal getIdentValue() {
        return identValue;
    }

    public void setIdentValue(BigDecimal identValue) {
        this.identValue = identValue;
    }

    public BigDecimal getServerValue() {
        return serverValue;
    }

    public void setServerValue(BigDecimal serverValue) {
        this.serverValue = serverValue;
    }

    public BigDecimal getReviewValue() {
        return reviewValue;
    }

    public void setReviewValue(BigDecimal reviewValue) {
        this.reviewValue = reviewValue;
    }

    public String getIdenValidFlag() {
        return idenValidFlag;
    }

    public void setIdenValidFlag(String idenValidFlag) {
        this.idenValidFlag = idenValidFlag == null ? null : idenValidFlag.trim();
    }

    public String getServerValidFlag() {
        return serverValidFlag;
    }

    public void setServerValidFlag(String serverValidFlag) {
        this.serverValidFlag = serverValidFlag == null ? null : serverValidFlag.trim();
    }

    public Date getReviewTime() {
        return reviewTime;
    }

    public void setReviewTime(Date reviewTime) {
        this.reviewTime = reviewTime;
    }

    public String getReviewMan() {
        return reviewMan;
    }

    public void setReviewMan(String reviewMan) {
        this.reviewMan = reviewMan == null ? null : reviewMan.trim();
    }

    public String getFinishedFlag() {
        return finishedFlag;
    }

    public void setFinishedFlag(String finishedFlag) {
        this.finishedFlag = finishedFlag == null ? null : finishedFlag.trim();
    }

    public Date getFinishedTime() {
        return finishedTime;
    }

    public void setFinishedTime(Date finishedTime) {
        this.finishedTime = finishedTime;
    }

    public String getHistoryFlag() {
        return historyFlag;
    }

    public void setHistoryFlag(String historyFlag) {
        this.historyFlag = historyFlag == null ? null : historyFlag.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getMcuImageUrl() {
        return mcuImageUrl;
    }

    public void setMcuImageUrl(String mcuImageUrl) {
        this.mcuImageUrl = mcuImageUrl == null ? null : mcuImageUrl.trim();
    }

    public String getServerImageUrl() {
        return serverImageUrl;
    }

    public void setServerImageUrl(String serverImageUrl) {
        this.serverImageUrl = serverImageUrl == null ? null : serverImageUrl.trim();
    }

    public String getSendSlsFlag() {
        return sendSlsFlag;
    }

    public void setSendSlsFlag(String sendSlsFlag) {
        this.sendSlsFlag = sendSlsFlag == null ? null : sendSlsFlag.trim();
    }

    public String getSlsReplyMsg() {
        return slsReplyMsg;
    }

    public void setSlsReplyMsg(String slsReplyMsg) {
        this.slsReplyMsg = slsReplyMsg == null ? null : slsReplyMsg.trim();
    }

    public BigDecimal getRawValue() {
        return rawValue;
    }

    public void setRawValue(BigDecimal rawValue) {
        this.rawValue = rawValue;
    }

    public String getSystemReviewFlag() {
        return systemReviewFlag;
    }

    public void setSystemReviewFlag(String systemReviewFlag) {
        this.systemReviewFlag = systemReviewFlag == null ? null : systemReviewFlag.trim();
    }

    public String getSoftVer() {
        return softVer;
    }

    public void setSoftVer(String softVer) {
        this.softVer = softVer == null ? null : softVer.trim();
    }

    public String getHardVersion() {
        return hardVersion;
    }

    public void setHardVersion(String hardVersion) {
        this.hardVersion = hardVersion == null ? null : hardVersion.trim();
    }

    public String getNbVersion() {
        return nbVersion;
    }

    public void setNbVersion(String nbVersion) {
        this.nbVersion = nbVersion == null ? null : nbVersion.trim();
    }

    public String getAiVersion() {
        return aiVersion;
    }

    public void setAiVersion(String aiVersion) {
        this.aiVersion = aiVersion == null ? null : aiVersion.trim();
    }

    public String getLastTaskId() {
        return lastTaskId;
    }

    public void setLastTaskId(String lastTaskId) {
        this.lastTaskId = lastTaskId == null ? null : lastTaskId.trim();
    }

    public String getLastMcuImageUrl() {
        return lastMcuImageUrl;
    }

    public void setLastMcuImageUrl(String lastMcuImageUrl) {
        this.lastMcuImageUrl = lastMcuImageUrl == null ? null : lastMcuImageUrl.trim();
    }

    public BigDecimal getLastReviewValue() {
        return lastReviewValue;
    }

    public void setLastReviewValue(BigDecimal lastReviewValue) {
        this.lastReviewValue = lastReviewValue;
    }

    public Date getLastSampleTime() {
        return lastSampleTime;
    }

    public void setLastSampleTime(Date lastSampleTime) {
        this.lastSampleTime = lastSampleTime;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName == null ? null : stationName.trim();
    }

    public Integer getDigitNum() {
        return digitNum;
    }

    public void setDigitNum(Integer digitNum) {
        this.digitNum = digitNum;
    }

    public Integer getUnitType() {
        return unitType;
    }

    public void setUnitType(Integer unitType) {
        this.unitType = unitType;
    }
}